package com.goafanti.common.dao;

import com.goafanti.common.model.UserMid;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface UserMidMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(UserMid record);

    int insertSelective(UserMid record);

    UserMid selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(UserMid record);

    int updateByPrimaryKey(UserMid record);

    int updateByUid(UserMid um);

    void updateListByUid(@Param("aid") String aid,@Param("updateFollow") Integer updateFollow, @Param("list")List<String> list);

    String getUserTaskNames(String uid) ;

    UserMid getUserDtails(String buyerId);
}
